LOCK_MAY_READ(9)

NAME
lock_may_read - checks that the region is free of locks

SYNOPSIS

int lock_may_read (struct inode * inode, loff_t start, unsigned long len);

ARGUMENTS

inode
    the inode that is being read

start
    the first byte to read

len the number of bytes to read

DESCRIPTION

Emulates Windows locking requirements. Whole-file mandatory locks (share modes) can prohibit a read and byte-range POSIX locks can prohibit a read if they overlap.

N.B. this function is only ever called from knfsd and ownership of locks is never checked.